> ## Name

> cgGLLoadProgram - prepares a program for binding

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLLoadProgram( CGprogram program );

> ## Parameters

> program
>   The program which will be loaded.

> ## Return Values

> None.

> ## Description

> cgGLLoadProgram prepares a program for binding. All programs must be loaded before they can be bound to the current state. See cgGLBindProgram for more information about binding programs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if program's profile is not a supported OpenGL profile.

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> CG_PROGRAM_LOAD_ERROR is generated if the program fails to load for any reason.

> ## History

> cgGLLoadProgram was introduced in Cg 1.1.

> ## See Also

> cgGLIsProgramLoaded, cgGLBindProgram